/*
File Name: ProjectModel.java
Purpose: Contains and defines the custom ProjectModel class for storing project information
Related Files Used: Bookmarks.java, Results.java
Listed Functions: OnCreate, onBackPressed, doInBackground, onPostExecute, ProjectAdapter, getView, onNavigationItemSelected
Other Notes: This class was set up and defined using the built-in class constructor creator options in Android Studio.  To
    learn more about this, please see the documentation at the Android Studio Developers site.
 */

package com.example.codys.compsciproject.models;

public class ProjectModel
{
    private String author;
    private int year;
    private String topic;
    private String url;
    private String keywords;

    /*
    Function Name: getAuthor
    Purpose: Returns the value in author
    Function Type: String
    Parameters Used: None
    Related Files: None
    Other Notes: None
    */
    public String getAuthor() {
        return author;
    }

    /*
    Function Name: setAuthor
    Purpose: Sets the value for author
    Function Type: Void
    Parameters Used: String author (The value to set author to)
    Related Files: None
    Other Notes: None
    */
    public void setAuthor(String author) {
        this.author = author;
    }

    /*
    Function Name: getYear
    Purpose: Returns the value in year
    Function Type: int
    Parameters Used: None
    Related Files: None
    Other Notes: None
    */
    public int getYear() {
        return year;
    }

    /*
    Function Name: setYear
    Purpose: Sets the value for year
    Function Type: Void
    Parameters Used: int year (The value to set year to)
    Related Files: None
    Other Notes: None
    */
    public void setYear(int year) {
        this.year = year;
    }

    /*
    Function Name: getTopic
    Purpose: Returns the value in topic (The project name)
    Function Type: String
    Parameters Used: None
    Related Files: None
    Other Notes: None
    */
    public String getTopic() {
        return topic;
    }

    /*
    Function Name: setTopic
    Purpose: Sets the value for topic (Project Name)
    Function Type: Void
    Parameters Used: String topic (The value to set topic to)
    Related Files: None
    Other Notes: None
    */
    public void setTopic(String topic) {
        this.topic = topic;
    }

    /*
    Function Name: getUrl
    Purpose: Returns the value in url
    Function Type: String
    Parameters Used: None
    Related Files: None
    Other Notes: None
    */
    public String getUrl() {
        return url;
    }

    /*
    Function Name: setUrl
    Purpose: Sets the value for url
    Function Type: Void
    Parameters Used: String url (The value to set url to)
    Related Files: None
    Other Notes: None
    */
    public void setUrl(String url) {
        this.url = url;
    }

    /*
    Function Name: getKeywords
    Purpose: Returns the value in keywords
    Function Type: String
    Parameters Used: None
    Related Files: None
    Other Notes: None
    */
    public String getKeywords() {
        return keywords;
    }

    /*
    Function Name: setKeywords
    Purpose: Sets the value for keywords
    Function Type: Void
    Parameters Used: String Keywords (The value to set keywords to)
    Related Files: None
    Other Notes: None
    */
    public void setKeywords(String keywords) {
        this.keywords = keywords;
    }
}
